<?php
/**
 * OnePica_AvaTax
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0), a
 * copy of which is available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 *
 * @category   OnePica
 * @package    OnePica_AvaTax
 * @author     OnePica Codemaster <codemaster@onepica.com>
 * @copyright  Copyright (c) 2015 One Pica, Inc.
 * @license    http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
 */

/**
 * Service Sdk_Url source model
 *
 * @category   OnePica
 * @package    OnePica_AvaTax
 * @author     OnePica Codemaster <codemaster@onepica.com>
 */
class OnePica_AvaTaxAr2_Model_Source_Sdk_Url
{
    /**
     * Sdk_Url for production
     */
    const PRODUCTION_SDK_URL = 'https://app.certcapture.com/gencert2/js';

    /**
     * Sdk_Url for development
     */
    const DEVELOPMENT_SDK_URL = 'https://sbx.certcapture.com/gencert2/js';

    /**
     * Gets the list of sdk_urls for the admin config dropdown
     *
     * @return array
     */
    public function toOptionArray()
    {
        return array(
            array(
                'value' => 0,
                'label' => self::PRODUCTION_SDK_URL
            ),
            array(
                'value' => 1,
                'label' => self::DEVELOPMENT_SDK_URL
            ),
        );
    }
}
